using ConstructorApp.DataAccessLayer.Abstract;
using ConstructorApp.DataAccessLayer.Concrete;
using ConstructorApp.DataAccessLayer.Repositories;
using ConstructorApp.EntityLayer.Entities;

namespace ConstructorApp.DataAccessLayer.EntityFramework
{
    public class EfProjectGalleryDal : GenericRepository<ProjectGallery>, IProjectGalleryDal
    {
        private readonly ConstructorContext context;
        public EfProjectGalleryDal(ConstructorContext context) : base(context)
        {
            this.context = context;
        }

        public List<ProjectGallery> GetImagesByProjectId(int projectId)
        {
            return context.ProjectGallery
                      .Where(x => x.ProjectID == projectId)
                      .ToList();
        }
    }
}
